Face Match with Document
To perform Face Match between a document and a face, it is necessary to make a POST request, sending a valid document identifier attribute and a valid face image identifier attribute, in json format to the following address:
https://api.caas.qitech.app/ocr/face_match
Face Match com Documento
curl "https://api.caas.qitech.app/ocr/face_match" \
-H "Authorization: EXAMPLE_API_KEY"
Request Body
{
"ocr_key": "\<ocr_key\>",
"image_key": "\<image_key\>"
}
Request Attributes Description
| Attribute | Description |
|---|---|
| ocr_key | Required field. Valid document identifier. Performed according to Document Submission section |
| image_key | Required field. Valid face image identifier. Performed according to Image Submission |
Response
If your Face Match request is processed successfully, an HTTP status 200 and a JSON object similar to the one below will be returned:
Response Body
{
"face_match_key": "94b5423d-6b1e-4b32-b148-a4ccc058ba9f",
"face_match_result": "match",
"similarity_ratio": 100
}
Response Attributes Description
| Attribute | Description |
|---|---|
| face_match_key | Face Match request identification key. |
| face_match_result | Query result. The enumerator match is returned in cases where facial similarity is above 95% and unmatch otherwise. |
| similarity_ratio | Facial similarity between faces, in percentile. |